//
//  history_graph.h
//  f_gnuplot
//
//  Created by Arnaud Blanchard on 13/12/2016.
//
//

#ifndef GRAPH_H
#define GRAPH_H
#include "blc_channel.h"

#include <deque>


extern char const *with_option, *style_option, *surface_option;

void create_history_graph(FILE *pipef, std::deque <blc_channel> &inputs,  size_t history_length, int refresh_period, int sampling_period, float min, float max);
void create_graph(FILE *pipef, std::deque <blc_channel> &inputs, int refresh_period, float min, float max, float xmin, float xmax, float label_max);

#endif /* history_graph_h */
